Page MenuHomePhabricator

lldb-platform - switch to static linking (like lldb-gdbserver)
ClosedPublic

Authored by vharron on Dec 29 2014, 12:39 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

vharron updated this revision to Diff 17675.Dec 29 2014, 12:39 PM
vharron retitled this revision from to lldb-platform - switch to static linking (like lldb-gdbserver) .
vharron updated this object.
vharron edited the test plan for this revision. (Show Details)
vharron added reviewers: chandlerc, ovyalov.
vharron set the repository for this revision to rL LLVM.
ovyalov accepted this revision.Dec 29 2014, 5:11 PM
ovyalov edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Dec 29 2014, 5:11 PM
vharron edited edge metadata.Dec 30 2014, 5:32 PM
vharron added a subscriber: Unknown Object (MLST).
zturner added a subscriber: zturner.Jan 7 2015, 1:46 PM
zturner added inline comments.
cmake/LLDBDependencies.cmake
148–150

Looks like this won't work on Windows. Is there a cross-platform way to ask for all the system libraries? Also should you be using ${PYTHON_LIBRARIES} instead of python2.7?

Also, where is this set? I don't see it being set in the CMakeLists.txt file for building lldb-platform, so how does this fit in with the lldb-platform changes?

Sorry Zach, looking now.

vharron closed this revision.Jan 11 2015, 10:44 AM

Submitted: 225398